@ECHO OFF

IF EXIST "root" (
ECHO Please remove "root" folder.
PAUSE
EXIT
)

IF EXIST "%1" ( GOTO :HASFILE ) ELSE ( GOTO :NOFILE )

:HASFILE
GOTO :MAIN

:NOFILE
ECHO Pikmin 2 iso file not found. Please drag a pikmin 2 iso onto the bat file.
PAUSE
EXIT

:MAIN
ECHO Welcome to the Pikmin 2 Endless Abyss Demo installer!
ECHO Extracting Pikmin 2 iso...
"%~dp0.\nodtool.win64" extract -c 2 %1 "%~dp0root"
ECHO iso extracted...

XCOPY /y "%~dp0Patch\main.dol"			"%~dp0root\sys\main.dol"
XCOPY /y "%~dp0Patch\boot.bin"			"%~dp0root\sys\boot.bin"
XCOPY /e/i/y "%~dp0Patch\unit" 			"%~dp0root\files\user\Mukki\mapunits\units"
XCOPY /y "%~dp0Patch\mesres_eng.szs"		"%~dp0root\files\message\mesres_eng.szs"
XCOPY /y "%~dp0Patch\memorycardheader.szs"		"%~dp0root\files\memoryCard\memorycardheader.szs"

ECHO Now building new iso...
"%~dp0.\nodtool.win64" makegcn -c 2 "%~dp0root" "Pikmin2_EA%~x1"
rd /s /q "root"
ECHO done! :)
PAUSE
